PETSc version 3.15.5
Fix/Edit manual page

# KSPConvergedDefaultSetConvergedMaxits

allows the default convergence test to declare convergence and return KSP_CONVERGED_ITS if the maximum number of iterations is reached

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPConvergedDefaultSetConvergedMaxits(KSP ksp, PetscBool flg)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| flg | - boolean flag

### Options Database

| -ksp_converged_maxits

Use KSPSetTolerances() to alter the defaults for rtol, abstol, dtol.

The precise values of reason are macros such as KSP_CONVERGED_RTOL, which are defined in petscksp.h.

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPConvergedSkip(), KSPConvergedReason, KSPGetConvergedReason(), KSPConvergedDefaultSetUMIRNorm(), KSPConvergedDefaultSetUIRNorm()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages